Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class XPathEvaluationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xml.xpath.XPathException
                  com.novell.xml.xpath.XPathEvaluationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XPathConversionException

    public class XPathEvaluationException

extends XPathException

Class for exceptions thrown during XPath expression evaluation

See Also:
  Serialized Form

Field Summary
`static String` | `FUNCTION_ERROR`
`static String` | `VARIABLE_NOT_FOUND`

Constructor Summary
`XPathEvaluationException(String key)` Construct an XPathEvaluationException with the message specified by the key.
`XPathEvaluationException(String key, String parm)` Construct an XPathEvaluationException with the parameterized message specified by the key and parameter.
`XPathEvaluationException(String key, String[] parms)` Construct an XPathEvaluationException with the parameterized message specified by the key and parameter list.

Method Summary

Methods inherited from class com.novell.xml.xpath.XPathException
`getString, getString, getString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VARIABLE_NOT_FOUND

    public static final String VARIABLE_NOT_FOUND

See Also:
  Constant Field Values

### FUNCTION_ERROR

    public static final String FUNCTION_ERROR

See Also:
  Constant Field Values

Constructor Detail

### XPathEvaluationException

    public XPathEvaluationException(String key)

  Construct an XPathEvaluationException with the message specified by the key.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.

### XPathEvaluationException

    public XPathEvaluationException(String key,
                                    String parm)

  Construct an XPathEvaluationException with the parameterized message specified by the key and parameter.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.
    `parm` - The replacement string for the replacement token in the string reference by key. Replacement tokens are of the form "%n" where n is a string of decimal digits.

### XPathEvaluationException

    public XPathEvaluationException(String key,
                                    String[] parms)

  Construct an XPathEvaluationException with the parameterized message specified by the key and parameter list.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.
    `parms` - The list of replacement strings for replacement tokens in the string reference by key. Replacement tokens are of the form "%n" where n is a string of decimal digits.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD